//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Script {
/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6EB5F71AA68F2E8E<br />
/// </para>
/// </remarks>
public static void RequestScript(string scriptName){
Function.Call((Hash)0x6EB5F71AA68F2E8EuL, scriptName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC90D2DCACD56184C<br />
/// </para>
/// </remarks>
public static void SetScriptAsNoLongerNeeded(string scriptName){
Function.Call((Hash)0xC90D2DCACD56184CuL, scriptName);
}

/// <summary>
/// Returns if a script has been loaded into the game. Used to see if a script was loaded after requesting.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE6CC9F3BA0FB9EF1<br />
/// </para>
/// </remarks>
public static bool HasScriptLoaded(string scriptName){
return Function.Call<bool>((Hash)0xE6CC9F3BA0FB9EF1uL, scriptName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFC04745FBE67C19A<br />
/// </para>
/// </remarks>
public static bool DoesScriptExist(string scriptName){
return Function.Call<bool>((Hash)0xFC04745FBE67C19AuL, scriptName);
}

/// <summary>
/// formerly _REQUEST_STREAMED_SCRIPT
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD62A67D26D9653E6<br />
/// </para>
/// </remarks>
public static void RequestScriptWithNameHash(uint scriptHash){
Function.Call((Hash)0xD62A67D26D9653E6uL, scriptHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC5BC038960E9DB27<br />
/// </para>
/// </remarks>
public static void SetScriptWithNameHashAsNoLongerNeeded(uint scriptHash){
Function.Call((Hash)0xC5BC038960E9DB27uL, scriptHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5F0F0C783EB16C04<br />
/// </para>
/// </remarks>
public static bool HasScriptWithNameHashLoaded(uint scriptHash){
return Function.Call<bool>((Hash)0x5F0F0C783EB16C04uL, scriptHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF86AA3C56BA31381<br />
/// </para>
/// </remarks>
public static bool DoesScriptWithNameHashExist(uint scriptHash){
return Function.Call<bool>((Hash)0xF86AA3C56BA31381uL, scriptHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC8B189ED9138BCD4<br />
/// </para>
/// </remarks>
public static void TerminateThread(int threadId){
Function.Call((Hash)0xC8B189ED9138BCD4uL, threadId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x46E9AE36D8FA6417<br />
/// </para>
/// </remarks>
public static bool IsThreadActive(int threadId){
return Function.Call<bool>((Hash)0x46E9AE36D8FA6417uL, threadId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x05A42BA9FC8DA96B<br />
/// </para>
/// </remarks>
public static string GetNameOfScriptWithThisId(int threadId){
return Function.Call<string>((Hash)0x05A42BA9FC8DA96BuL, threadId);
}

/// <summary>
/// Starts a new iteration of the current threads.<br />Call this first, then SCRIPT_THREAD_ITERATOR_GET_NEXT_THREAD_ID (0x30B4FA1C82DD4B9F)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDADFADA5A20143A8<br />
/// </para>
/// </remarks>
public static void ScriptThreadIteratorReset(){
Function.Call((Hash)0xDADFADA5A20143A8uL);
}

/// <summary>
/// If the function returns 0, the end of the iteration has been reached.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x30B4FA1C82DD4B9F<br />
/// </para>
/// </remarks>
public static int ScriptThreadIteratorGetNextThreadId(){
return Function.Call<int>((Hash)0x30B4FA1C82DD4B9FuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC30338E8088E2E21<br />
/// </para>
/// </remarks>
public static int GetIdOfThisThread(){
return Function.Call<int>((Hash)0xC30338E8088E2E21uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1090044AD1DA76FA<br />
/// </para>
/// </remarks>
public static void TerminateThisThread(){
Function.Call((Hash)0x1090044AD1DA76FAuL);
}

/// <summary>
/// Gets the number of instances of the specified script is currently running.<br /><br />Actually returns numRefs - 1.<br />if (program)<br />	v3 = rage::scrProgram::GetNumRefs(program) - 1;<br />return v3;
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2C83A9DA6BFFC4F9<br />
/// </para>
/// </remarks>
public static int GetNumberOfThreadsRunningTheScriptWithThisHash(uint scriptHash){
return Function.Call<int>((Hash)0x2C83A9DA6BFFC4F9uL, scriptHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x442E0A7EDE4A738A<br />
/// </para>
/// </remarks>
public static string GetThisScriptName(){
return Function.Call<string>((Hash)0x442E0A7EDE4A738AuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8A1C8B1738FFE87E<br />
/// </para>
/// </remarks>
public static uint GetHashOfThisScriptName(){
return Function.Call<uint>((Hash)0x8A1C8B1738FFE87EuL);
}

/// <summary>
/// eventGroup: 0 = SCRIPT_EVENT_QUEUE_AI (CEventGroupScriptAI), 1 = SCRIPT_EVENT_QUEUE_NETWORK (CEventGroupScriptNetwork)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5F92A689A06620AA<br />
/// </para>
/// </remarks>
public static int GetNumberOfEvents(int eventGroup){
return Function.Call<int>((Hash)0x5F92A689A06620AAuL, eventGroup);
}

/// <summary>
/// eventGroup: 0 = SCRIPT_EVENT_QUEUE_AI (CEventGroupScriptAI), 1 = SCRIPT_EVENT_QUEUE_NETWORK (CEventGroupScriptNetwork)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x936E6168A9BCEDB5<br />
/// </para>
/// </remarks>
public static bool GetEventExists(int eventGroup, int eventIndex){
return Function.Call<bool>((Hash)0x936E6168A9BCEDB5uL, eventGroup, eventIndex);
}

/// <summary>
/// eventGroup: 0 = SCRIPT_EVENT_QUEUE_AI (CEventGroupScriptAI), 1 = SCRIPT_EVENT_QUEUE_NETWORK (CEventGroupScriptNetwork)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD8F66A3A60C62153<br />
/// </para>
/// </remarks>
public static int GetEventAtIndex(int eventGroup, int eventIndex){
return Function.Call<int>((Hash)0xD8F66A3A60C62153uL, eventGroup, eventIndex);
}

/// <summary>
/// eventGroup: 0 = SCRIPT_EVENT_QUEUE_AI (CEventGroupScriptAI), 1 = SCRIPT_EVENT_QUEUE_NETWORK (CEventGroupScriptNetwork)<br /><br />Note: eventDataSize is NOT the size in bytes, it is the size determined by the SIZE_OF operator (RAGE Script operator, not C/C++ sizeof). That is, the size in bytes divided by 8 (script variables are always 8-byte aligned!).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2902843FCD2B2D79<br />
/// </para>
/// </remarks>
public static bool GetEventData(int eventGroup, int eventIndex, int /* bug: structure */ eventData, int eventDataSize){
return Function.Call<bool>((Hash)0x2902843FCD2B2D79uL, eventGroup, eventIndex, eventData, eventDataSize);
}

/// <summary>
/// eventGroup: 0 = SCRIPT_EVENT_QUEUE_AI (CEventGroupScriptAI), 1 = SCRIPT_EVENT_QUEUE_NETWORK (CEventGroupScriptNetwork)<br /><br />Note: eventDataSize is NOT the size in bytes, it is the size determined by the SIZE_OF operator (RAGE Script operator, not C/C++ sizeof). That is, the size in bytes divided by 8 (script variables are always 8-byte aligned!).<br /><br />playerBits (also known as playersToBroadcastTo) is a bitset that indicates which players this event should be sent to. In order to send the event to specific players only, use (1 &lt;&lt; playerIndex). Set all bits if it should be broadcast to all players.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5AE99C571D5BBE5D<br />
/// </para>
/// </remarks>
public static void TriggerScriptEvent(int eventGroup, int /* bug: structure */ eventData, int eventDataSize, int playerBits){
Function.Call((Hash)0x5AE99C571D5BBE5DuL, eventGroup, eventData, eventDataSize, playerBits);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x078EBE9809CCD637<br />
/// </para>
/// </remarks>
public static void ShutdownLoadingScreen(){
Function.Call((Hash)0x078EBE9809CCD637uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5262CC1995D07E09<br />
/// </para>
/// </remarks>
public static void SetNoLoadingScreen(bool toggle){
Function.Call((Hash)0x5262CC1995D07E09uL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x18C1270EA7F199BC<br />
/// </para>
/// </remarks>
public static bool GetNoLoadingScreen(){
return Function.Call<bool>((Hash)0x18C1270EA7F199BCuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB1577667C3708F9B<br />
/// </para>
/// </remarks>
public static void CommitToLoadingscreenSelction(){
Function.Call((Hash)0xB1577667C3708F9BuL);
}

/// <summary>
/// Returns true if bit 0 in GtaThread+0x154 is set.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x836B62713E0534CA<br />
/// </para>
/// </remarks>
public static bool BgIsExitflagSet(){
return Function.Call<bool>((Hash)0x836B62713E0534CAuL);
}

/// <summary>
/// Sets bit 1 in GtaThread+0x154
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x760910B49D2B98EA<br />
/// </para>
/// </remarks>
public static void BgSetExitflagResponse(){
Function.Call((Hash)0x760910B49D2B98EAuL);
}

/// <summary>
/// Hashed version of BG_START_CONTEXT.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x75B18E49607874C7<br />
/// </para>
/// </remarks>
public static void BgStartContextHash(uint contextHash){
Function.Call((Hash)0x75B18E49607874C7uL, contextHash);
}

/// <summary>
/// Hashed version of BG_END_CONTEXT.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x107E5CC7CA942BC1<br />
/// </para>
/// </remarks>
public static void BgEndContextHash(uint contextHash){
Function.Call((Hash)0x107E5CC7CA942BC1uL, contextHash);
}

/// <summary>
/// Inserts the given context into the background scripts context map.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9D5A25BADB742ACD<br />
/// </para>
/// </remarks>
public static void BgStartContext(string contextName){
Function.Call((Hash)0x9D5A25BADB742ACDuL, contextName);
}

/// <summary>
/// Deletes the given context from the background scripts context map.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDC2BACD920D0A0DD<br />
/// </para>
/// </remarks>
public static void BgEndContext(string contextName){
Function.Call((Hash)0xDC2BACD920D0A0DDuL, contextName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0F6F1EBBC4E1D5E6<br />
/// </para>
/// </remarks>
public static bool BgDoesLaunchParamExist(int scriptIndex, string p1){
return Function.Call<bool>((Hash)0x0F6F1EBBC4E1D5E6uL, scriptIndex, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x22E21FBCFC88C149<br />
/// </para>
/// </remarks>
public static int BgGetLaunchParamValue(int scriptIndex, string p1){
return Function.Call<int>((Hash)0x22E21FBCFC88C149uL, scriptIndex, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x829CD22E043A2577<br />
/// </para>
/// </remarks>
public static int BgGetScriptIdFromNameHash(uint p0){
return Function.Call<int>((Hash)0x829CD22E043A2577uL, p0);
}

/// <summary>
/// See TRIGGER_SCRIPT_EVENT
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Script<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0xA40CC53DF8E50837<br />
/// </para>
/// </remarks>
public static void SendTuScriptEvent(int eventGroup, int /* bug: structure */ eventData, int eventDataSize, int playerBits){
Function.Call((Hash)0xA40CC53DF8E50837uL, eventGroup, eventData, eventDataSize, playerBits);
}

}}
